Error with new module

Hi All

I am trying to add a module to drupal 8 and I am unable to do so.

I am trying to install openlucius from here:

https://www.drupal.org/project/openlucius

When I try through the install from a url option I get the following:

Cannot extract <em class=”placeholder”>temporary://update-cache-f981bc0d/openlucius</em>, not a valid archive

if I download the archive and try to install the archive I get the following :

Cannot determine the type of project

I can extract the archive and there are no errors when I do.

I do not have issues with other modules.

What can I check and how?

Thank you

Peter

Drupal version: 


Source: https://www.drupal.org/taxonomy/term/22/feed